#pragma once


// CEnterSomething 대화 상자입니다.

class CEnterSomethingDlg : public CDialog
{
	DECLARE_DYNAMIC(CEnterSomethingDlg)

public:
//	CEnterSomething(CWnd* pParent = NULL);   // 표준 생성자입니다.
	CEnterSomethingDlg(UINT nID, UINT nTextID, TCHAR password = NULL, CWnd* pParent = NULL);
	CEnterSomethingDlg(UINT nID, LPCSTR pText, TCHAR password = NULL, CWnd* pParent = NULL);
	virtual ~CEnterSomethingDlg();

// 대화 상자 데이터입니다.
	enum { IDD = IDD_ENTER_SOMETHING };
	CEdit	m_EditCtrl;
	CButton	m_OkCtrl;
	CString	m_String;

public:
	int m_nPreselectMax;
	int m_nPreselectMin;

protected:
	CString m_Title;
	CString m_Text;
	TCHAR m_passChar;

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 지원입니다.

protected:
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnChangeEdit();

	DECLARE_MESSAGE_MAP()
};
